%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  snvecR
%global packver   3.9.3
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          3.9.3
Release:          1%{?dist}%{?buildtag}
Summary:          Calculate Earthâ€™s Obliquity and Precession in the Past

License:          GPL (>= 3)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.6.0
Requires:         R-core >= 3.6.0
BuildArch:        noarch
BuildRequires:    R-CRAN-cli >= 3.4.0
BuildRequires:    R-CRAN-backports >= 1.1.6
BuildRequires:    R-CRAN-rlang >= 0.4.11
BuildRequires:    R-CRAN-deSolve 
BuildRequires:    R-stats 
BuildRequires:    R-CRAN-dplyr 
BuildRequires:    R-CRAN-tibble 
BuildRequires:    R-CRAN-purrr 
BuildRequires:    R-CRAN-readr 
BuildRequires:    R-CRAN-tidyselect 
BuildRequires:    R-CRAN-glue 
BuildRequires:    R-tools 
Requires:         R-CRAN-cli >= 3.4.0
Requires:         R-CRAN-backports >= 1.1.6
Requires:         R-CRAN-rlang >= 0.4.11
Requires:         R-CRAN-deSolve 
Requires:         R-stats 
Requires:         R-CRAN-dplyr 
Requires:         R-CRAN-tibble 
Requires:         R-CRAN-purrr 
Requires:         R-CRAN-readr 
Requires:         R-CRAN-tidyselect 
Requires:         R-CRAN-glue 
Requires:         R-tools 

%description
Easily calculate precession and obliquity from an orbital solution
(defaults to ZB18a from Zeebe and Lourens (2019)
<doi:10.1126/science.aax0612>) and assumed or reconstructed values for
tidal dissipation (Td) and dynamical ellipticity (Ed). This is a
translation and adaptation of the 'C'-code in the supplementary material
to Zeebe and Lourens (2022) <doi:10.1029/2021PA004349>, with further
details on the methodology described in Zeebe (2022)
<doi:10.3847/1538-3881/ac80f8>. The name of the 'C'-routine is 'snvec',
which refers to the key units of computation: spin vector s and orbit
normal vector n.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
